Bug 28579 - Typo: No record have been imported because they all match an existing record in your catalog.
Summary: Typo: No record have been imported because they all match an existing record ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Owen Leonard
QA Contact: Joonas Kylmälä
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-06-17 07:59 UTC by Katrin Fischer
Modified: 2021-11-15 04:13 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12


Attachments
Bug 28579: Typo: No record have been imported because they all match an existing record in your catalog. (2.01 KB, patch)
2021-10-07 15:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 28579: Typo: No record have been imported because they all match an existing record in your catalog. (2.06 KB, patch)
2021-10-08 10:45 UTC, David Nind
Details | Diff | Splinter Review
Bug 28579: Typo: No record have been imported because they all match an existing record in your catalog. (2.21 KB, patch)
2021-10-10 09:48 UTC, Joonas Kylmälä
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2021-06-17 07:59:07 UTC
koha-tmpl/intranet-tmpl/prog/en/modules/acqui/addorderiso2709.tt:31
No record have been imported because they all match an existing record in your catalog.

I think this should either read: "no records have" or "no record has"?
Comment 1 Owen Leonard 2021-10-07 15:50:47 UTC
Created attachment 125897 [details] [review]
Bug 28579: Typo: No record have been imported because they all match an existing record in your catalog.

This patch corrects a grammatical error in text which might be shown
when adding records from a staged file to a basket. It corrects this:

  "No record have been imported because they all match an existing
  record in your catalog."

..to this:

  "No records have been imported because they all match existing
  records in your catalog."

To see the error in Koha, apply the patch and export some records from
Koha (Tools -> Export) and then re-import them using Tools -> Stage MARC
for import.

- Go to Acquisitions -> Vendor -> Basket -> Add to basket -> From a
  staged file.
- Click the "Add to order" button corresponding to the file you just
  uploaded.
- Select all records and define default accounting details.
- When you click "Save" you should see the error message.
Comment 2 David Nind 2021-10-08 10:45:08 UTC
Created attachment 125953 [details] [review]
Bug 28579: Typo: No record have been imported because they all match an existing record in your catalog.

This patch corrects a grammatical error in text which might be shown
when adding records from a staged file to a basket. It corrects this:

  "No record have been imported because they all match an existing
  record in your catalog."

..to this:

  "No records have been imported because they all match existing
  records in your catalog."

To see the error in Koha, apply the patch and export some records from
Koha (Tools -> Export) and then re-import them using Tools -> Stage MARC
for import.

- Go to Acquisitions -> Vendor -> Basket -> Add to basket -> From a
  staged file.
- Click the "Add to order" button corresponding to the file you just
  uploaded.
- Select all records and define default accounting details.
- When you click "Save" you should see the error message.

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Joonas Kylmälä 2021-10-10 09:48:53 UTC
Created attachment 126012 [details] [review]
Bug 28579: Typo: No record have been imported because they all match an existing record in your catalog.

This patch corrects a grammatical error in text which might be shown
when adding records from a staged file to a basket. It corrects this:

  "No record have been imported because they all match an existing
  record in your catalog."

..to this:

  "No records have been imported because they all match existing
  records in your catalog."

To see the error in Koha, apply the patch and export some records from
Koha (Tools -> Export) and then re-import them using Tools -> Stage MARC
for import.

- Go to Acquisitions -> Vendor -> Basket -> Add to basket -> From a
  staged file.
- Click the "Add to order" button corresponding to the file you just
  uploaded.
- Select all records and define default accounting details.
- When you click "Save" you should see the error message.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Joonas Kylmälä <joonas.kylmala@iki.fi>
Comment 4 Jonathan Druart 2021-10-12 09:18:25 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 5 Kyle M Hall 2021-10-22 13:53:42 UTC
Pushed to 21.05.x for 21.05.05
Comment 6 Katrin Fischer 2021-10-22 14:10:23 UTC
Hi Kyle, translations on pootle have already been update for string freeze this week...
Comment 7 Fridolin Somers 2021-11-10 23:28:01 UTC
Pushed to 20.11.x for 20.11.12
Comment 8 Victor Grousset/tuxayo 2021-11-15 04:13:48 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.